Bug 986866 - imbalance in data requested and actually read from GlusterFS servers
Summary: imbalance in data requested and actually read from GlusterFS servers
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: fuse
Version: 3.4.0-beta
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-22 09:39 UTC by Justin Albstmeijer
Modified: 2015-10-07 14:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-07 14:05:55 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Justin Albstmeijer 2013-07-22 09:39:50 UTC
Description of problem:

While testing GlusterFS (3.4beta4) we found an imbalance between data being requested from the GlusterFS client server and the actual traffic being generated from the GlusterFS storage server.

It starts with a factor 1.5 (for every 1Mbit requested, 1.5Mbit read traffic is generated from the GlusterFS server.

With increasing traffic (multiple parallel reads) this factor goes up to 5.

Switching to an NFS client is the current workaround.
Here we see a factor of 1 and stays that way.

Version-Release number of selected component (if applicable):

glusterfs-fuse-3.4.0beta4-1
glusterfs-3.4.0beta4-1

on Redhat/Centos 5.

How reproducible:

In our test we where running the official Adobe Media Server 5 ami on Amazon Web Services on which we mounted a GlusterFS volume.
eth0 was used for public traffic, eth1 for GlusterFS traffic.
On the backend we had a replicated 2 GlusterFS setup.
Start serving content.
See the imbalance between eth0 and eth1

Steps to Reproduce:
1. setup a replicated 2 3.4.0beta4 GlusterFS setup
2. setup an Adobe Media Server 5 ami on Amazon with an eth0 and eth1 interface.
3. mount Glusterfs volume through eth1 for the media content
4. start serving data en watch traffic on eth0 and eth1

Actual results:

eth1 is generating 5 times the traffic that eth0 is serving

Expected results:

ideally a 1:1 ratio.

Additional info:

Comment 1 Niels de Vos 2015-05-17 21:57:15 UTC
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.

Comment 2 Kaleb KEITHLEY 2015-10-07 14:05:55 UTC
GlusterFS 3.4.x has reached end-of-life.

If this bug still exists in a later release please reopen this and change the version or open a new bug.


Note You need to log in before you can comment on or make changes to this bug.